<?php
// Function to get CAPTCHA from API server using Fetch
function getCAPTCHA() {
    $url = 'https://captcha.i-as.dev/api/captcha/generate';
    $options = array(
        'http' => array(
            'method' => 'GET',
            'header' => 'Content-Type: application/json',
        ),
    );
    $context = stream_context_create($options);
    $response = file_get_contents($url, false, $context);

    if ($response !== false) {
        return json_decode($response, true);
    } else {
        return null;
    }
}

// Function to verify CAPTCHA using Fetch
function verifyCAPTCHA($captcha_id, $user_answer) {
    $url = 'https://captcha.i-as.dev/api/captcha/verify';
    $verify_data = json_encode(array(
        "id" => $captcha_id,
        "answer" => $user_answer
    ));

    $options = array(
        'http' => array(
            'method' => 'POST',
            'header' => 'Content-Type: application/json',
            'content' => $verify_data
        ),
    );
    $context = stream_context_create($options);
    $verify_response = file_get_contents($url, false, $context);

    if ($verify_response !== false) {
        return json_decode($verify_response, true);
    } else {
        return null;
    }
}

?>
