<?php
require_once 'config.php';
require_once 'captcha_functions.php';

$error = '';
$captcha_data = getCAPTCHA();

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $username = mysqli_real_escape_string($conn, $_POST['username']);
    $password = mysqli_real_escape_string($conn, $_POST['password']);
    $captcha_id = $_POST['captcha_id'];
    $captcha_answer = $_POST['captcha_answer'];
    $captcha_result = verifyCAPTCHA($captcha_id, $captcha_answer);

    if ($captcha_result && $captcha_result['success']) {
        $password_hash = password_hash($password, PASSWORD_DEFAULT);

        $stmt = $conn->prepare("INSERT INTO users (username, password) VALUES (?, ?)");
        $stmt->bind_param("ss", $username, $password_hash);

        if ($stmt->execute()) {
            $error = "Registration successful!";
        } else {
            $error = "Error: " . $stmt->error;
        }

        $stmt->close();
    } else {
        $error = "CAPTCHA is invalid!";
    }
}

$conn->close();
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Registration</title>
</head>
<body>
    <h2>Registration</h2>
    <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>" method="post">
        <label>Username:</label><br>
        <input type="text" name="username" required><br>
        <label>Password:</label><br>
        <input type="password" name="password" required><br><br>
        <label for="captcha">Captcha:</label><br>
        <?php
        if ($captcha_data) {
            echo $captcha_data['data'];
            echo '<br>';
            echo '<input type="hidden" name="captcha_id" value="' . $captcha_data['id'] . '">';
        }
        ?><br>
        <input type="text" name="captcha_answer" required><br><br>
        <input type="submit" value="Register">
    </form>
    <p><?php echo htmlspecialchars($error); ?></p>
	
	<a href="login.php"><span>Login</span></a>
</body>
</html>
